<?php

namespace App\Http\Controllers\ProvinceDashboard;

use App\Http\Controllers\Controller;
use App\Services\Dashboard\Province\ReportService;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;

class ReportController extends Controller
{
    public function cumulative(Request $request, ReportService $reportService): JsonResponse
    {
        return response()->json($reportService->cumulative($request));
    }

    public function peopleMessages(Request $request, ReportService $reportService): JsonResponse
    {
        return response()->json($reportService->peopleMessages($request));
    }

    public function detailedLogs(Request $request, ReportService $reportService): JsonResponse
    {
        return response()->json($reportService->detailedLogs($request));
    }

    public function operatorPerformanceDaily(Request $request, ReportService $reportService): JsonResponse
    {
        return response()->json($reportService->operatorPerformanceDaily($request));
    }

    public function operatorPerformanceTotal(Request $request, ReportService $reportService): JsonResponse
    {
        return response()->json($reportService->operatorPerformanceTotal($request));
    }
}
